Не нравятся результаты поиска? Попробуйте другой поиск!
DLE FAQ » Все вопросы » Модули » Ошибка при установке модуля. dle 13.0?

Ошибка при установке модуля. dle 13.0?


     07.07.2018    Все вопросы » Модули    179

вопрос

Хочу добавить модуль в dle 13, все файлы правильно раскидал, но когда запускаю install-mod.php, то выдаёт ошибку
Fatal error: Uncaught Error: Class 'DLEPlugins' not found in /home/y/ywa201zh/stronhdjsrt.ru/public_html/engine/inc/include/init.php:28 Stack trace: #0 /home/y/ywa201zh/stronhdjsrt.ru/public_html/install_mod.php(27): require_once() #1 {main} thrown in /home/y/ywa201zh/stronhdjsrt.ru/public_html/engine/inc/include/init.php on line 28
У кого такое было? Как можно исправить?

Ответа пока нет


5 комментариев

vitnet
Эксперт

vitnet - 7 июля 2018 16:52 -

1. Обратится к разработчику.
2. Взглянуть на пример решения подобной ошибки.

Wolf_TMB
Юзер

Wolf_TMB - 7 июля 2018 16:57 -

Это не помогло

temporary
Юзер

temporary - 8 июля 2018 08:13 -

Попробуйте в install_mod.php добавить строку:
require_once (ENGINE_DIR . '/classes/plugins.class.php');

В init.php идёт подключение через класс плагинов, а он первоначально не задействован.

Wolf_TMB
Юзер

Wolf_TMB - 8 июля 2018 22:55 -

Цитата: temporary
require_once (ENGINE_DIR . '/classes/plugins.class.php');

Не помогло

Googledono
Юзер

Googledono - 11 июля 2018 12:36 -

Прверьте, все ли файлы были залиты при обновлении движка. Может, забыли про индекс и админ? Ну, это если вы обновляли.
Цитата: Wolf_TMB
Не помогло

а что пишет? всё тоже? или может что-то новое?

Чтобы комментировать - войдите или зарегистрируйтесь на сайте

Похожие вопросы

 26.06.2014 cucer96  Модули
наверх